"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_protocol_1 = require("vscode-languageserver-protocol");
function convertCompleteItems(items) {
    if (items.length == 0)
        return items;
    for (let item of items) {
        let { textEdit, kind, insertTextFormat } = item;
        if (textEdit
            && kind != vscode_languageserver_protocol_1.CompletionItemKind.Keyword
            && insertTextFormat != vscode_languageserver_protocol_1.InsertTextFormat.Snippet) {
            item.insertTextFormat = vscode_languageserver_protocol_1.InsertTextFormat.Snippet;
            let { newText } = textEdit;
            textEdit.newText = `${newText}$0`;
        }
    }
    return items;
}
exports.convertCompleteItems = convertCompleteItems;
//# sourceMappingURL=convert.js.map